|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSqlDriverCreator Class Reference
[QtSql module]

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

     #include <QSqlDriverCreator>

Inherits QSqlDriverCreatorBase.

- List of all members, including inherited members

### Additional Inherited Members

- 1 public function inherited from QSqlDriverCreatorBase

## Detailed Description

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type.

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.